Skip to content

tagfolder/new

Creates a tag folder inside a project.

What is a tag folder?

A tag folder is a grouping container for tags inside a project. It helps keep related tags organized without changing how the tags themselves behave.

Method and path

POST /tagfolder/new

Authentication

Authentication is required. See Authentication.

Permissions

Accessible to tier 1, 2, and 3 users.

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.
Content-Typeyesapplication/json.

Request body

FieldTypeRequiredDescription
project_idintegeryesProject identifier.
labelstringyesFolder label.

Example request

bash
curl -X POST "$SIGNAL_API_BASE_URL/tagfolder/new" \
  -H "X-Api-Key: $SIGNAL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"project_id": 123, "label": "Example Folder"}'
json
{
  "project_id": 123,
  "label": "Example Folder"
}

Example response

json
{
  "id": 7,
  "label": "Example Folder"
}

Response fields

FieldTypeDescription
idintegerFolder identifier.
labelstringFolder label.

Doc rev.1.12.3 2026.05.08